<p-blockUI [blocked]="blockedDocument" *ngIf="routeCurrent !=='' && token !=null">
    <p-progressSpinner  styleClass="w-4rem h-4rem" strokeWidth="8" fill="var(--surface-ground)" animationDuration=".5s"></p-progressSpinner>
</p-blockUI>

<div *ngIf="routeCurrent ==null && token == null" class="flex items-center justify-center align-items-center justify-content-center" [style.background-image]="'url(../assets/images/lotus.jpg)'"
    [style.background-repeat]="'img_repeat'"

    [style.width.px]='scrWidth' [style.height.px]='scrHeight'>

    <div class="flex my-5 items-center align-items-center justify-content-center justify-center flex-wrap card-container">

        <div class="hidden lg:inline-flex flex w-2 font-bold text-center p-4 border-round align-items-center"></div>

        <div class="flex items-center align-items-center justify-content-center h-100 w-full font-bold text-center p-4 border-round align-items-center">

            <div class="shadow-8 border-round pt-4 pb-6 justify-content-center h-fit"
                style="background: rgb(19, 20, 2);
                background: linear-gradient(90deg, rgba(244, 246, 247, 0.572) 0%, rgba(250, 253, 252, 0.597) 49%, rgba(241, 242, 245, 0.558) 100%);">

                <span><img alt="logo" src="assets/images/login.png" style="width: 10.5rem" /></span>
                <br>
                <br>
                <div class="p-fluid">
                    <div class="col-12 pr-8 pl-8">
                        <h4 class="mb-1">ชื่อผู้ใช้</h4>
                        <div class="p-inputgroup p-col-12 p-md-10">
                            <span class="p-inputgroup-addon"><i class="pi pi-user"></i></span>
                            <input id="username" type="text" pInputText placeholder="Username" [(ngModel)]="username" class="" placeholder="Username" (keyup.enter)="onLogin()">
                        </div>
                    </div>

                    <div class="col-12 pr-8 pl-8 mb-4">
                        <h4 class="mb-1">รหัสผ่าน</h4>
                        <div class="p-inputgroup p-col-12 p-md-6">
                            <span class="p-inputgroup-addon"><i class="pi pi-key"></i></span>
                            <input id="password" [(ngModel)]="password" type="password" placeholder="Password" pInputText class="" (keyup.enter)="onLogin()">
                        </div>
                    </div>

                    <div class="p-field p-grid pr-8 pl-8">

                        <button pButton pRipple type="button" (click)="onLogin()" (keyup.enter)="onLogin()" label="เข้าสู่ระบบ" class="p-button-rounded p-button-info text-xl">
                            <button pButton pRipple type="button" icon="pi pi-check" class="p-button-rounded"></button>
                        </button>

                    </div>

                </div>
            </div>


        </div>

        <div class="flex align-items-center justify-content-center hidden lg:inline-flex w-2 text-white font-bold text-center p-4 border-round align-items-center"></div>
    </div>
<!-- </div> -->